package com.quyunshuo.androidbaseframemvvm.common.util

import com.quyunshuo.androidbaseframemvvm.base.utils.SpUtils
import com.quyunshuo.androidbaseframemvvm.common.R
import com.quyunshuo.androidbaseframemvvm.common.constant.MMKVName

object AmountMoney {


    /**
     * 首先我们需要设置不同国家使用不同的纸币
     * 1.需要我们手动确认是哪一个国家，我们使用对应的纸币。
     * 2.在接收到40H\41H\42H\43H\44H\45H\46H\47H\48H\49H
     * 我们要使用对应的纸币进行显示。
     * 问题是，我们如何显示布局呢？可以使用数组
     * 【后续这个必须是动态的。否则就会花更多的时间去添加，整理这个情况。】
     */
    var russia: Array<Double> = arrayOf(50.0, 100.0, 500.0, 1000.0, 5000.0, 200.0, 2000.0) //俄罗斯
    var russia2: Array<Double> =
        arrayOf(50.0, 50.0, 100.0, 500.0, 1000.0, 5000.0, 200.0, 2000.0) //俄罗斯

    
    var malaysia: Array<Double> = arrayOf(1.0, 1.0, 5.0, 10.0, 50.0, 100.0, 20.0) //马来西亚

    
    var america: Array<Double> = arrayOf(1.0, 5.0, 10.0, 20.0, 50.0, 100.0) //美国

    
    var chinayuan: Array<Double> = arrayOf(1.0, 5.0, 10.0, 20.0, 50.0, 100.0) //人民币

    
    var singapore: Array<Double> = arrayOf(2.0, 5.0, 10.0) //新加坡

    
    var tw: Array<Double> = arrayOf(100.0, 200.0, 500.0, 1000.0) //台湾

    
    var tg: Array<Double> = arrayOf(20.0, 50.0, 100.0, 500.0, 1000.0) //泰国

    
    var ysl: Array<Double> = arrayOf(20.0, 50.0, 100.0, 500.0, 1000.0) //以色列

    
    var adly: Array<Double> = arrayOf(5.0, 10.0, 20.0, 50.0, 100.0) //澳大利亚

    
    var lmny: Array<Double> = arrayOf(1.0, 5.0, 10.0, 50.0) //罗马尼亚

    
    var ouyuan: Array<Double> = arrayOf(5.0, 10.0, 20.0, 50.0) //欧元+法国

    
    var bjly: Array<Double> = arrayOf(5.0, 10.0) //保加利亚

    
    var yg: Array<Double> = arrayOf(5.0, 10.0) //保加利亚

    
    var yd: Array<Double> = arrayOf(1.0) //约旦

    
    var teq: Array<Double> = arrayOf(5.0, 10.0, 20.0, 50.0, 100.0) //土耳其

    
    var mxg: Array<Double> = arrayOf(20.0, 50.0, 100.0, 200.0, 500.0, 1000.0) //墨西哥
    
    var mxgus: Array<Double> = arrayOf(0.0, 20.0, 50.0, 100.0, 200.0, 500.0, 1000.0) //墨西哥+美元

    
    var blwy: Array<Double> = arrayOf(10.0, 20.0, 50.0, 100.0) //玻利維亞

    
    var jnd: Array<Double> = arrayOf(5.0, 10.0, 20.0, 50.0, 100.0) //加拿大

    
    var xg: Array<Double> = arrayOf(10.0, 20.0, 50.0, 100.0, 500.0, 1000.0) //香港

    
    var xxl: Array<Double> = arrayOf(5.0, 10.0, 20.0, 50.0, 100.0) //新西兰

    
    var bl: Array<Double> = arrayOf(10.0, 20.0, 50.0, 100.0, 200.0) //波兰

    
    var wdml: Array<Double> = arrayOf(1.0, 5.0, 10.0, 20.0, 50.0, 100.0) //危地马拉

    
    var alq: Array<Double> = arrayOf(5.0, 10.0, 20.0, 50.0, 100.0, 200.0) //阿联酋 迪拜

    
    var rs: Array<Double> = arrayOf(10.0, 20.0, 50.0, 100.0) //瑞士

    
    var xyl: Array<Double> = arrayOf(500.0, 1000.0, 2000.0, 5000.0, 10000.0, 20000.0) //匈牙利

    
    var gsdlj: Array<Double> = arrayOf(1000.0, 2000.0, 5000.0, 10000.0, 20000.0) //哥斯达黎加

    
    var yindu: Array<Double> = arrayOf(5.0, 10.0, 20.0, 50.0, 100.0, 200.0, 500.0, 2000.0) //印度

    
    var glby: Array<Double> =
        arrayOf(1000.0, 2000.0, 5000.0, 10000.0, 20000.0, 50000.0, 100000.0) //哥伦比亚

    
    var jk: Array<Double> = arrayOf(100.0, 200.0, 500.0, 1000.0, 2000.0, 5000.0) //捷克

    
    var libiya: Array<Double> = arrayOf(1.0, 5.0, 10.0, 20.0) //利比亚

    
    var wukelan: Array<Double> = arrayOf(1.0, 2.0, 5.0, 10.0, 20.0, 50.0, 100.0, 200.0, 500.0) //乌克兰

    
    var lbn: Array<Double> = arrayOf(1000.0, 5000.0, 10000.0, 20000.0, 50000.0, 100000.0) //哥伦比亚

    
    var rb: Array<Double> = arrayOf(1000.0, 2000.0, 5000.0, 10000.0) //日币

    
    var nf: Array<Double> = arrayOf(10.0, 20.0, 50.0, 100.0, 200.0) //南非

    
    var ylk: Array<Double> = arrayOf(250.0, 500.0, 1000.0, 5000.0, 1000.0) //伊拉克

    
    var flb: Array<Double> = arrayOf(20.0, 50.0, 100.0, 500.0, 1000.0, 200.0) //菲律宾

    
    var bjst: Array<Double> = arrayOf(10.0, 20.0, 50.0, 100.0, 500.0, 1000.0) //巴基斯坦


    
    val language: ArrayList<String> = ArrayList<String>(listOf(
        "请选择币值",
        "俄罗斯-1",
        "马来西亚",
        "美国",
        "人民币",
        "新加坡",
        "台湾",
        "泰国",
        "以色列",
        "澳大利亚",
        "罗马尼亚",
        "欧元",
        "保加利亚",
        "英国",
        "约旦",
        "土耳其",
        "墨西哥",
        "玻利維亞",
        "加拿大",
        "香港",
        "新西兰",
        "波兰",
        "危地马拉",
        "迪拜",
        "瑞士",
        "匈牙利",
        "哥斯达黎加",
        "印度",
        "哥伦比亚",
        "捷克",
        "利比亚",
        "乌克兰",
        "黎巴嫩",
        "日本",
        "南非",
        "墨西哥+美国",
        "伊拉克",
        "菲律宾",
        "俄罗斯-2",
        "巴基斯坦"
    ))

    /**
     * 根据用户的选择来决定使用哪一种纸币，上述决定。
     * russia、malaysia
     */
    
    var earth: Array<Double> = allCurrency()

    
    val PAPERCURRENCY_1: Int = 8140 //第一票据类型

    
    val PAPERCURRENCY_2: Int = 8141 //第二票据类型

    
    val PAPERCURRENCY_3: Int = 8142 //第三票据类型

    
    val PAPERCURRENCY_4: Int = 8143 //第四票据类型

    
    val PAPERCURRENCY_5: Int = 8144 //第五票据类型

    
    val PAPERCURRENCY_6: Int = 8145 //第六票据类型

    
    val PAPERCURRENCY_7: Int = 8146 //第七票据类型

    
    val PAPERCURRENCY_8: Int = 8147 //第八票据类型

    
    val PAPERCURRENCY_9: Int = 8148 //第九票据类型

    fun allCurrency(): Array<Double> {
        val position: Int? = SpUtils.getInt(MMKVName.PAPERTYPE, 0)
        XLogUtil.d("allCurrency:"+position)
        return when (position) {
            1 -> russia
            2 -> malaysia
            3 -> america
            4 -> chinayuan
            5 -> singapore
            6 -> tw
            7 -> tg
            8 -> ysl
            9 -> adly
            10 -> lmny
            11 -> ouyuan
            12 -> bjly
            13 -> yg
            14 -> yd
            15 -> teq
            16 -> mxg
            17 -> blwy
            18 -> jnd
            19 -> xg
            20 -> xxl
            21 -> bl
            22 -> wdml
            23 -> alq
            24 -> rs
            25 -> xyl
            26 -> gsdlj
            27 -> yindu
            28 -> glby
            29 -> jk
            30 -> libiya
            31 -> wukelan
            32 -> lbn
            33 -> rb
            34 -> nf
            35 -> mxgus
            36 -> ylk
            37 -> flb
            38 -> russia2
            39 -> bjst
            else -> ysl
        }
    }
}